\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\clip(0,-5) rectangle (10.6,6);
\draw(5,0) circle (4cm);
\draw(5,0) circle (3cm);
\draw (3.63,3.76)-- (3.97,2.82);
\draw (5,4)-- (5,3);
\draw (8.46,-2)-- (7.6,-1.5);
\draw (3,-3.46)-- (3.5,-2.6);
\draw (3.92,4.44) node[anchor=north west] {M};
\draw (9.06,2.62) node[anchor=north west] {G1};
\draw (6.42,-4.02) node[anchor=north west] {S};
\draw (0.18,0.12) node[anchor=north west] {G2};
\draw [line width=4.4pt] (5,0) circle (3.6cm);
\draw [line width=0.4pt] (7.52,3.36)-- (7.7,3.6);
\draw [line width=0.4pt] (5,4.2)-- (5,4.5);
\draw [shift={(5,0)},line width=4.4pt]  plot[domain=0.93:1.57,variable=\t]({1*3.4*cos(\t r)+0*3.4*sin(\t r)},{0*3.4*cos(\t r)+1*3.4*sin(\t r)});
\draw (7.88,4.24) node[anchor=north west] {t=Te$>$0};
\end{tikzpicture}